Subject: bug#37865: guix pull: error: You found a bug:

From: Bengt Richter <[email-masked]>
Date: Thu, 24 Oct 2019 13:49:56 -0700

On +2019-10-24 13:34:29 +0200, Kai Mertens wrote:

[...]

> This machine is running GNU Guix on top of an old GNU/Linux-libre
> distro (Trisquel7).
> 
> I edited the /etc/init/guix-daemon.conf configuration file and added
> --substitute-urls=https://ci.guix.gnu.org to the exec line.
> 
> Then I used
>  $ sudo -i
>  # guix archive --authorize < path/to/ci.guix.gnu.org.pub
> to authorize the server url.
> 
> But I think guix still tried to substitute from hydra.
> So I deleted the rsa key entries in /etc/guix/acl manually and
> performed a logout-login sequence to restart the daemon.
> 
> Now it works, hurray! I was able to perform a fast 'guix pull' (~2h)
> and the space in / and /tmp turned out to be sufficient.
> 
> When invoking guix package -I for example, I encountered an error like
>  guile: failed to install locale
>

I have encountered the same error. It seems to recur for me after major updates.
So there seems to be something lurking to reawaken the real error message source.
I collected some symptoms and posted them as bug#37900.

I hope it will be obvious to someone what is happening, so this nuisance
can be eliminated (and everyone will be relieved of hearing about it repeatedly :)
(if I am doing something dumb for my case, I promise to try to avoid repeating :)

> But that went away after having updated and installed some packages.
> Unfortunately, I don't know exactly which action was responsible to
> make this message disappear.
>

When you were getting the error message from guix commands (which apparently
uses guile in a way that causes _guile_ to complain),
were you also getting the same error message when invoking guile directly?

I was not -- please see #bug37900 for my attempt to explore the difference.

> Now that I am running an up-to-date version of guix, there seem to be
> no further need to use --substitute-urls=https://ci.guix.gnu.org in the exec
> line of the daemon config file nor to have the rsa key deleted in /etc/guix/acl.
> 
> I thank you all very much for your help. I feel pretty much relieved
> and encouraged to keep trying guix.
>

Me too. I think guix can be great, though my user experience
is not quite great yet :)
HTH
--
Regards,
Bengt Richter